
; configuration parameters

; timer values for vblank and overscan are for TIM64TI, screen is for TIM1KTI
; PAL values, determined by trial an error
.define TIMER_VBLANK   $2a ; ~2688 cycles
.define TIMER_SCREEN   $13
.define TIMER_OVERSCAN $14 ; ~1280 cycles

; all symbols visible to other source files

; 0pglobal.s
.globalzp schedule
.globalzp framecount
.globalzp localramstart

; 1sinustable.s
.global   sinustab

; 2colortable.s
.global   paltab

; rotate123.s
.global   rotabar

; spritepos.s
.global   spritepos

; tvcolors.s
.global   tvcolors

; zickzack.s
.global   turning1
.global   turning2
.global   turning3
.global   turning4

; striped.s
.global   striped1
.global   striped2

; song
.global   bytetracker
.global   bytetrackerset

.global   song

.globalzp songpos
.globalzp patpos
.globalzp trkdelay
.globalzp beatcount
.globalzp audc
.globalzp audv
.globalzp audf
.globalzp audc2

; main.s
.global   reset
; each one of these can be called: lda #DELAY : jsr x + 2
.global   waitvblank   ; called with jsr; x,y untouched
.global   waitscreen   ; called with jsr; x,y untouched
.global   waitoverscan ; called with jmp; y untouched
.global   delay12      ;

.linecont +
   .define partsaddrlist \
   rotabar-1, \
   turning1-1, \
   striped1-1, \
   turning2-1, \
   striped2-1, \
   turning3-1, \
   tvcolors-1
.linecont -

