
.include "globals.inc"
.include "vcs.inc"

.segment "CODE"


spritepos:
; x = sprite to set
; a = position
   clc
   sta WSYNC   ;        0
   sta HMCLR   ;   3 =  3
   adc #$01    ;   2 =  5
   
@loop:
   sbc #$0f    ; x*2 =  7
   bcs @loop   ; x*3 =  5 (-1 = 9)
   eor #$07    ;   2 = 11
   asl         ;   2 = 13
   asl         ;   2 = 15
   asl         ;   2 = 17
   asl         ;   2 = 19
   sta RESP0,x ;   4 = 23 + 5 * x 
   sta HMP0,x  ;   4 = 18
   sta WSYNC   ;
   sta HMOVE
   rts

cyclepos:
; a = position (= a/3 cycles to waste)
   sec
   sta WSYNC
@loop:
   sbc #$0f
   bcs @loop
   adc #$0f
   cmp #$03
   bcs @waste1a
@waste1a:
   cmp #$06
   bcs @waste1b
@waste1b:
   cmp #$09
   bcs @waste1c
@waste1c:
   cmp #$0c
   bcs @waste1d
@waste1d:
   cmp #$0f
   bcs @waste1e
@waste1e:
   rts
